Secure OS Software for Linux
cancel
Showing results for 
Search instead for 
Did you mean: 

kernel -2.4.9-31-hptl1.6

Luis Montañés
Occasional Contributor

kernel -2.4.9-31-hptl1.6

I have applied the linux kernel version 2.4.9-31. In the README file, it recommends me to apply the redhat kernel-headers package for the 2.4.9-31. I have looked for it over the internet and I have not found exactly this package.

Where can I download it? Please help me.

Thanks in advance.
5 REPLIES
benoit Bruckert
Honored Contributor

Re: kernel -2.4.9-31-hptl1.6

hi,
What do you mean by kernel-headers ?
If it's the include files, then there are delivered with the kernel sources...
(see in /usr/src/linux/include if you have install kernel sources beyond /usr/src/linux...)
Why not try a recent kernel (2.4.19, i'm running with it without any trouble).
hope that help
Benoit
Une application mal pansée aboutit à une usine à gaze (GHG)
Luis Montañés
Occasional Contributor

Re: kernel -2.4.9-31-hptl1.6

This is a kernel for the "hp secure OS software for linux", and it is the latest I have found in "ftp.hp.com/pub/security/hplx_source/v1.0" as recommended. In the README file which explains how to install the kernel, the following is told:

"It is recommended that the redhat kernel-headers package for the 2.4.9-31 sources be installed on the machine that the kernel sources are built from."

And then starts to explain how to install the new kernel.

I think I can not install newer versions of redhat linux kernel.

Thanks for your cooperation.
benoit Bruckert
Honored Contributor

Re: kernel -2.4.9-31-hptl1.6

From the sentence you wrote, i think that the kernel_headers is just the sources of the package, I don't think you nedd anything else,
hth
Benoit
Une application mal pansée aboutit à une usine à gaze (GHG)
Luis Montañés
Occasional Contributor

Re: kernel -2.4.9-31-hptl1.6

When I execute the command "depmod", the system tells me:

"depmod: *** Unresolved symbols in /lib/modules/2.4.9-31-hptl1.6/kernel/drivers/addon/cipe/cipcb.o

depmod: *** Unresolved symbols in /lib/modules/2.4.9-31-hptl1.6/kernel/net/appletalk/appletalk.o

depmod: *** Unresolved symbols in /lib/modules/2.4.9-31-hptl1.6/kernel/net/ipv6/ipv6.o

depmod: *** Unresolved symbols in /lib/modules/2.4.9-31-hptl1.6/kernel/net/ipx/ipx.o

depmod: *** Unresolved symbols in /lib/modules/2.4.9-31-hptl1.6/kernel/net/irda/irda.o"

Is this related to the kernel-headers?

Thanks.
Joubert Berger
Occasional Visitor

Re: kernel -2.4.9-31-hptl1.6

The kernel-header RPM is not necessary. But, your error message that is generated when depmod is run indicates that you did not use one of the config files that should have been delivered with the sources. The error are being generated in modules that are not supported in v1.0. But the config files were not delivered with the current sources by mistake. If you look on the ftp site, there should be a new tarball called kernel-2.4.9-31-hptl1.6-2.src.tar.gz. If it is not there, give it a little time. It take some time for all the ftp servers to sync up. This should now contain the missing config files.

In any event, make sure that you copy the kernel-2.4.9-hptl1.6-xxxx.config file to .config as the directions tell you.

Hope this helps and lets us know if you are still having problems.